#/**
#         ogr FindCache 
#@brief   Detecta la partición caché local.
#@param   No requiere parametros
#@return  int_ndisk int_npart - devuelve el par nº de disco-nº de partición .
#@warning Si no hay cache no devuelve nada
#@version 0.1 - Integracion para Opengnsys - EAC: FindCache() en ATA.lib -  HIDRA: DetectarCache.sh
#@author Ramon Gomez, ETSII Universidad de Sevilla 
#@Date    2008/06/19
#@author  Antonio J. Doblas Viso. Universidad de Malaga 
#@Date    2008/10/27
#@version 0.91 - Adaptacion a la cache local de OpenGnSys.
#@author  Ramon Gomez, ETSII Universidad de Sevilla
#@date    2010/03/16
#*/ ##
# Variables locales
local PART
# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME" "$FUNCNAME" "$FUNCNAME  =>  1 4"
    return
fi
# Obtener el sistema de archivos etiquetado con "CACHE".
PART=$(realpath /dev/disk/by-label/CACHE 2>/dev/null)
# Si no, obtener la 1ª partición marcada como de tipo caché.
PART=${PART:-$(sfdisk -l | awk '$6~/ca|a7/ {print $1}')}
PART=${PART%% *}

ogr DevToDisk $PART 2>/dev/null
